Bug 1416434 - pkgconf does not provide a man page document of the pkg-config file format
Summary: pkgconf does not provide a man page document of the pkg-config file format
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pkgconf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-25 13:31 UTC by Petr Pisar
Modified: 2017-12-19 18:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-19 18:42:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Pisar 2017-01-25 13:31:02 UTC
pkg-config(1) manual page does not document pkg-config files format. The old pkg-config implementation does so <https://linux.die.net/man/1/pkg-config>.

Please provide the file format documentation with pkgconf. Maybe this reverse engineered documentation <http://dev.gentoo.org/~mgorny/pkg-config-spec.html> could is better.

Comment 1 Fedora End Of Life 2017-02-28 11:03:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Neal Gompa 2017-12-19 18:42:24 UTC
This is now provided in pc(7) in pkgconf-1.3.90 in rawhide.


Note You need to log in before you can comment on or make changes to this bug.